//
// C++ Interface: me_signal
//
// Description: 
//
//
// Author: Messenger of death aka Denis A. Birukov <messengerofdeath@gmail.com>, (C) 2008
//
// Copyright: See COPYING file that comes with this distribution
//
//
#ifndef ME_SIGNAL_H
#define ME_SIGNAL_H
#include <string>

typedef std::string SignalName;

#include "signal_manager.h"


class Signal
{
    SignalName _signal_name_;
    SlotArgs _params_;
    
    public:
        Signal( SignalName name = ""): _signal_name_(name)
        {};
        void add_params(int64_t value);
        void add_params(float value);
        void add_params(std::string value);
        void set_name(const SignalName &signal_name);
        std::string get_name();
        void clear_params();
        bool rise();
        ~Signal(){};
        
};

#endif
